import { BrsComponent } from "./BrsComponent";
import { BrsValue, ValueKind, BrsBoolean } from "../BrsType";
import { Callable } from "../Callable";
import { BrsType } from "..";
import { Unboxable } from "../Boxing";
export declare class RoFunction extends BrsComponent implements BrsValue, Unboxable {
    readonly kind = ValueKind.Object;
    private intrinsic;
    getValue(): Callable;
    constructor(sub: Callable);
    unbox(): Callable;
    copy(): RoFunction;
    equalTo(other: BrsType): BrsBoolean;
    toString(_parent?: BrsType): string;
    private readonly getSub;
    private readonly setSub;
}
